Loading...
Searching...
No Matches
BALL::PDBInfo Class Reference

`#include <BALL/FORMAT/PDBInfo.h>`

Inheritance diagram for BALL::PDBInfo:

## Public Member Functions

Constructors and Destructor
| PDBInfo ()
| PDBInfo (const PDBInfo &pdbi)
virtual | ~PDBInfo ()
virtual void | clear ()
| Reset all attributes to their initial state.
PDBInfo & | operator= (const PDBInfo &rhs)
bool | operator== (const PDBInfo &rhs) const
| Equality operator.
bool | operator!= (const PDBInfo &rhs) const
| Inequality operator.
PDBRecords & | getSkippedRecords ()
| Return the unparsed records.
const PDBRecords & | getSkippedRecords () const
| Return the unparsed records.
PDBRecords & | getInvalidRecords ()
| Return the unparsed records.
const PDBRecords & | getInvalidRecords () const
| Return the unparsed records.
const String & | getFilename () const
| Return the filename.
void | setFilename (const String &filename)
| Set the filename.
const String & | getID () const
| Return the PDB ID.
void | setID (const String &id)
| Set the PDB ID.
Size | getNumberOfRecords () const
| Return the total number of records read.
void | setNumberOfRecords (Size n)
| Set the number of records.
Size | getNumberOfModels () const
| Return the number of models.
Size & | getNumberOfModels ()
| Return the number of models.
void | setNumberOfModels (Size n)
| Set the number of models.
Position | getCurrentModel () const
| Return the number of the last model read.
Position & | getCurentModel ()
| Return the number of the last model read.
void | setCurrentModel (Position n)
| Set the number of the model read.
Size | getNumberOfATOMRecords () const
| Return the number of atom records read.
Size & | getNumberOfATOMRecords ()
| Return the number of atom records read.
void | setNumberOfATOMRecords (Size n)
| Set the number of atom records read.
Size | getNumberOfHETATMRecords () const
| Return the number of hetatm records read.
Size & | getNumberOfHETATMRecords ()
| Return the number of hetatm records read.
void | setNumberOfHETATMRecords (Size n)
| Set the number of hetatm records read.
const String & | getName () const
| Return the name of the system as contained in the HEADER record.
void | setName (const String &name)
| Set the name of the system. This is written to the HEADER record (truncated!).
std::list< Position > | getRecordIndices (PDB::RecordType record) const
Public Member Functions inherited from BALL::PersistentObject
| PersistentObject ()
virtual | ~PersistentObject ()
PersistenceManager & | operator>> (PersistenceManager &pm) const
virtual void | finalize ()
Public Member Functions inherited from BALL::Object
| Object ()
| Default constructor.
| Object (const Object &object)
| Copy constructor.
virtual | ~Object ()
| Destructor.
const Object & | operator= (const Object &)
bool | operator== (const Object &object) const
bool | operator!= (const Object &object) const
bool | operator< (const Object &object) const
bool | operator<= (const Object &object) const
bool | operator>= (const Object &object) const
bool | operator> (const Object &object) const
int | compare (const Object &object) const
virtual bool | isValid () const
virtual void | dump (::std::ostream &s=std::cout, Size depth=0) const
Handle | getHandle () const
Public Member Functions inherited from BALL::AutoDeletable
virtual | ~AutoDeletable ()
void * | operator new (size_t size)
void | operator delete (void *ptr)
void * | operator new (size_t size, void *ptr)
void | operator delete (void *ptr, void *)
bool | isAutoDeletable () const
void | setAutoDeletable (bool enable)

## Storable Interface

PDBRecords | skipped_records_
| Skipped PDB records (not parsed).
PDBRecords | invalid_records_
| Invalid PDB records (tried to parse, but failed).
String | filename_
| Filename.
String | id_
| PDB ID.
String | name_
| Name.
Size | number_of_records_
| Total file size in bytes.
Size | number_of_models_
| Total number of models.
Position | model_read_
| Model last read.
Size | number_of_atom_records_
| Number of ATOM records.
Size | number_of_hetatm_records_
| Number of HETATM records.
void | persistentWrite (PersistenceManager &pm, const char *name) const
void | persistentRead (PersistenceManager &pm)

## Additional Inherited Members

static Handle | getNextHandle ()
static Handle | getNewHandle ()
static void | clearLastPtr ()
| AutoDeletable ()
| AutoDeletable (const AutoDeletable &auto_deletable, bool deep=false)

## Detailed Description

PDB information class. This class contains holds summary information on a PDB file read by GenericPDBFile or PDBFile as well as unparse records.

Definition at line 31 of file PDBInfo.h.

## Constructor & Destructor Documentation

## PDBInfo() [1/2]

BALL::PDBInfo::PDBInfo | ( |  | ) |

## PDBInfo() [2/2]

BALL::PDBInfo::PDBInfo | ( | const PDBInfo & | pdbi | ) |

## ~PDBInfo()

virtual BALL::PDBInfo::~PDBInfo | ( |  | ) |

virtual

## Member Function Documentation

## clear()

virtual void BALL::PDBInfo::clear | ( |  | ) |

virtual

Reset all attributes to their initial state.

Reimplemented from BALL::Object.

## getCurentModel()

Position & BALL::PDBInfo::getCurentModel | ( |  | ) |

inline

Return the number of the last model read.

Definition at line 98 of file PDBInfo.h.

## getCurrentModel()

Position BALL::PDBInfo::getCurrentModel | ( |  | ) | const

inline

Return the number of the last model read.

Definition at line 96 of file PDBInfo.h.

## getFilename()

const String & BALL::PDBInfo::getFilename | ( |  | ) | const

inline

Return the filename.

Definition at line 78 of file PDBInfo.h.

## getID()

const String & BALL::PDBInfo::getID | ( |  | ) | const

inline

Return the PDB ID.

Definition at line 82 of file PDBInfo.h.

## getInvalidRecords() [1/2]

PDBRecords & BALL::PDBInfo::getInvalidRecords | ( |  | ) |

inline

Return the unparsed records.

Definition at line 74 of file PDBInfo.h.

## getInvalidRecords() [2/2]

const PDBRecords & BALL::PDBInfo::getInvalidRecords | ( |  | ) | const

inline

Return the unparsed records.

Definition at line 76 of file PDBInfo.h.

## getName()

const String & BALL::PDBInfo::getName | ( |  | ) | const

inline

Return the name of the system as contained in the HEADER record.

Definition at line 114 of file PDBInfo.h.

## getNumberOfATOMRecords() [1/2]

Size & BALL::PDBInfo::getNumberOfATOMRecords | ( |  | ) |

inline

Return the number of atom records read.

Definition at line 104 of file PDBInfo.h.

## getNumberOfATOMRecords() [2/2]

Size BALL::PDBInfo::getNumberOfATOMRecords | ( |  | ) | const

inline

Return the number of atom records read.

Definition at line 102 of file PDBInfo.h.

## getNumberOfHETATMRecords() [1/2]

Size & BALL::PDBInfo::getNumberOfHETATMRecords | ( |  | ) |

inline

Return the number of hetatm records read.

Definition at line 110 of file PDBInfo.h.

## getNumberOfHETATMRecords() [2/2]

Size BALL::PDBInfo::getNumberOfHETATMRecords | ( |  | ) | const

inline

Return the number of hetatm records read.

Definition at line 108 of file PDBInfo.h.

## getNumberOfModels() [1/2]

Size & BALL::PDBInfo::getNumberOfModels | ( |  | ) |

inline

Return the number of models.

Definition at line 92 of file PDBInfo.h.

## getNumberOfModels() [2/2]

Size BALL::PDBInfo::getNumberOfModels | ( |  | ) | const

inline

Return the number of models.

Definition at line 90 of file PDBInfo.h.

## getNumberOfRecords()

Size BALL::PDBInfo::getNumberOfRecords | ( |  | ) | const

inline

Return the total number of records read.

Definition at line 86 of file PDBInfo.h.

## getRecordIndices()

std::list< Position > BALL::PDBInfo::getRecordIndices | ( | PDB::RecordType | record | ) | const

Return a list of indices matchin a specific record type. This list is constructed by a linear search over all records currently stored in the skipped indices.

## getSkippedRecords() [1/2]

PDBRecords & BALL::PDBInfo::getSkippedRecords | ( |  | ) |

inline

Return the unparsed records.

Accessors

Definition at line 70 of file PDBInfo.h.

## getSkippedRecords() [2/2]

const PDBRecords & BALL::PDBInfo::getSkippedRecords | ( |  | ) | const

inline

Return the unparsed records.

Definition at line 72 of file PDBInfo.h.

## operator!=()

bool BALL::PDBInfo::operator!= | ( | const PDBInfo & | rhs | ) | const

Inequality operator.

## operator=()

PDBInfo & BALL::PDBInfo::operator= | ( | const PDBInfo & | rhs | ) |

Assignment

## operator==()

bool BALL::PDBInfo::operator== | ( | const PDBInfo & | rhs | ) | const

Equality operator.

Predicates

## persistentRead()

void BALL::PDBInfo::persistentRead | ( | PersistenceManager & | pm | ) |

virtual

Persistent stream reading.

Reimplemented from BALL::PersistentObject.

## persistentWrite()

void BALL::PDBInfo::persistentWrite | ( | PersistenceManager & | pm,
|  | const char * | name ) const

virtual

Persistent stream writing.

Reimplemented from BALL::PersistentObject.

## setCurrentModel()

void BALL::PDBInfo::setCurrentModel | ( | Position | n | ) |

inline

Set the number of the model read.

Definition at line 100 of file PDBInfo.h.

## setFilename()

void BALL::PDBInfo::setFilename | ( | const String & | filename | ) |

inline

Set the filename.

Definition at line 80 of file PDBInfo.h.

## setID()

void BALL::PDBInfo::setID | ( | const String & | id | ) |

inline

Set the PDB ID.

Definition at line 84 of file PDBInfo.h.

## setName()

void BALL::PDBInfo::setName | ( | const String & | name | ) |

inline

Set the name of the system. This is written to the HEADER record (truncated!).

Definition at line 116 of file PDBInfo.h.

## setNumberOfATOMRecords()

void BALL::PDBInfo::setNumberOfATOMRecords | ( | Size | n | ) |

inline

Set the number of atom records read.

Definition at line 106 of file PDBInfo.h.

## setNumberOfHETATMRecords()

void BALL::PDBInfo::setNumberOfHETATMRecords | ( | Size | n | ) |

inline

Set the number of hetatm records read.

Definition at line 112 of file PDBInfo.h.

## setNumberOfModels()

void BALL::PDBInfo::setNumberOfModels | ( | Size | n | ) |

inline

Set the number of models.

Definition at line 94 of file PDBInfo.h.

## setNumberOfRecords()

void BALL::PDBInfo::setNumberOfRecords | ( | Size | n | ) |

inline

Set the number of records.

Definition at line 88 of file PDBInfo.h.

## Member Data Documentation

## filename_

String BALL::PDBInfo::filename_

protected

Filename.

Definition at line 147 of file PDBInfo.h.

## id_

String BALL::PDBInfo::id_

protected

PDB ID.

Definition at line 149 of file PDBInfo.h.

## invalid_records_

PDBRecords BALL::PDBInfo::invalid_records_

protected

Invalid PDB records (tried to parse, but failed).

Definition at line 145 of file PDBInfo.h.

## model_read_

Position BALL::PDBInfo::model_read_

protected

Model last read.

Definition at line 157 of file PDBInfo.h.

## name_

String BALL::PDBInfo::name_

protected

Name.

Definition at line 151 of file PDBInfo.h.

## number_of_atom_records_

Size BALL::PDBInfo::number_of_atom_records_

protected

Number of ATOM records.

Definition at line 159 of file PDBInfo.h.

## number_of_hetatm_records_

Size BALL::PDBInfo::number_of_hetatm_records_

protected

Number of HETATM records.

Definition at line 161 of file PDBInfo.h.

## number_of_models_

Size BALL::PDBInfo::number_of_models_

protected

Total number of models.

Definition at line 155 of file PDBInfo.h.

## number_of_records_

Size BALL::PDBInfo::number_of_records_

protected

Total file size in bytes.

Definition at line 153 of file PDBInfo.h.

## skipped_records_

PDBRecords BALL::PDBInfo::skipped_records_

protected

Skipped PDB records (not parsed).

Definition at line 143 of file PDBInfo.h.